> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Multiple Users

> Create Users multiple users.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json post /createUsers
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /createUsers:
    post:
      tags:
        - createUsers
      summary: Create Multiple Users
      description: Create Users multiple users.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createUsers_input'
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createUsers_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    createUsers_input:
      type: object
      properties:
        User#:
          description: The name of the user.
          type: string
        Password#:
          description: The password to authenticate with.
          type: string
        FederationId#:
          description: The federation id for SSO authentication.
          type: string
        Roles#:
          description: The assigned roles of the user.
          type: string
        Active#:
          type: string
          description: The user is active or not. Defaults to true.
          default: 'true'
    createUsers_output:
      type: array
      items:
        type: object
        properties:
          Result:
            type: string
            description: Whether the User was successfully added or not.
          Message:
            type: string
            description: Detailed message of the result.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````